package com.example.projekt3;

import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

public class Rozmowa extends AppCompatActivity {
    { // "blok inicjalizacyjny - ten kod wykona się za każdym razem,
      // gdy tworzony będzie obiekt klasy Rozmowa
        Log.d(TAG, "tworzenie obiektu");
    }

    private int licznik = 0;

    private static final String TAG = "Rozmowa";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_rozmowa);
    }

    public void gadaj(View view) {
        Log.d(TAG, "gadaj: ");
        EditText editText_Imie = findViewById(R.id.editText_Imie);
        EditText editText_Miasto = findViewById(R.id.editText_Miasto);
        TextView textView_Pozdrowienie = findViewById(R.id.textView_Pozdrowienie);
        String imie = editText_Imie.getText().toString();
        String miasto = editText_Miasto.getText().toString();
        // Uwaga wydajnociowa - jeśli operacji +  +=  na tekście byłoby więcej (szczególnie - gdyby w pętli)
        // to byłoby to mało wydajne  - zamiast tego używa się StringBuilder lub od Java 8 metody join lub Collectors.joining
        String powitanie = "Witaj " + imie;
        if(! miasto.isBlank()) {
            powitanie += " z miasta " + miasto;
        }
        powitanie += " (" + ++licznik + ")";
        textView_Pozdrowienie.setText(powitanie);
    }
}