package alx.czysta_java.p02_wartosci;

import java.math.BigDecimal;
import java.math.BigInteger;

public class B_Liczby {
    public static void main(String[] args) {
        // liczby całkowite z różnych zakresów: byte, short, int, long
        // zakres int to TYLKO -2mld do + 2mld (z kawałkiem)
        System.out.println(5 * 1_000_000_000);
        // w long mieszczą się liczby 18-19 cyfrowe
        System.out.println(5L * 1_000_000_000);
        // istnieje też klasa BigInteger, która nie ma limitu, natomiast trzeba pisać więcej kodu
        // a działa wolniej niż int / long
        BigInteger bi = BigInteger.valueOf(1_000_000_000);
        System.out.println(bi);
        System.out.println(bi.multiply(bi).multiply(bi));

        System.out.println();
        // liczby z ułamkiem: float i double, które różnią się przede wszystkim precyzją
        float cenaf = 1.20F;
        double cenad = 1.20;
        System.out.println(3 * cenaf);
        System.out.println(3 * cenad);

        // klasa BigDecimal - precyzyjne obliczenia na ułamkach dziesiętnych
        // i pełna kontrola nad zaookrągleniami
        BigDecimal cenab = new BigDecimal("1.20");
        // System.out.println(3 * cenab);
        BigDecimal ilosc = BigDecimal.valueOf(3);
        System.out.println(ilosc.multiply(cenab));
    }
}
